package com.railway.business.app.mapper;

import com.github.pagehelper.Page;
import com.railway.business.app.domain.AppFeedback;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author ZhaoMn
 * @date 2021/12/25
 */
@Mapper
@Repository
public interface AppFeedbackMapper {

  /**
   * 新增
   */
  int insert(AppFeedback appFeedback);

  /**
   * 删除
   */
  int delete(@Param("id") String id);

  /**
   * 更新
   */
  int update(AppFeedback appFeedback);

  /**
   * 获取单个
   */
  AppFeedback getInfo(@Param("id") String id);

  /**
   * 查询列表
   */
  Page<AppFeedback> getList(AppFeedback appFeedback);

}
